Subject: bug#14962: 24.3; Set Default Font doesn't work on OSX

From: "K. Adam Christensen" <[email-masked]>
Date: Mon, 29 Jul 2013 12:25:44 -0700

Well, this is embarrassing. So yeah, the modal window was being displayed,
but it was being shown off-screen where I previously had it when I was
using two monitors.

Thanks for the suggestion and sorry for the bug noise.

Cheers
--
Adam

On Sun, Jul 28, 2013 at 5:00 AM, Jan Djärv <[email-masked]> wrote:

> Hello.
>
> 26 jul 2013 kl. 21:48 skrev Adam Christensen <[email-masked]>:
>
> > When I go to Menu > Options > Set Default Font... and click it, nothing
> > happens. I expect the OS-level font tools to open for me to chose my
> > font and everything.
> >
> > To rule out the menu being wonky, I've also tried `x-select-font', but
> > that didn't work for me either.
> >
> > To rule out my own emacs scripts being wonky, I started emacs with
> > `emacs -Q'.
> >
>
> I can't reproduce this on 24.3 or on the trunk.  Note that the font panel
> in OSX is not modal, so you can continue editing in Emacs while it is being
> shown.  Also, it usually pops up quite a bit away from the Emacs frame,
> usually (for me at least) in the lower right corner, and not over the Emacs
> frame as other dialogs does.  Is it possible you just didn't see it?  It
> has happend to me.
>
>         Jan D.
>
> >
> > In GNU Emacs 24.3.1 (x86_64-apple-darwin12.3.0, NS apple-appkit-1187.37)
> > of 2013-03-31 on teneight-slave.macports.org
> > Windowing system distributor `Apple', version 10.3.1187
> > Configured using:
> > `configure '--prefix=/opt/local' '--with-ns' '--without-x'
> > '--without-dbus' 'CC=/usr/bin/clang' 'CFLAGS=-pipe -O2 -arch x86_64'
> > 'LDFLAGS=-L/opt/local/lib -arch x86_64'
> > 'CPPFLAGS=-I/opt/local/include''
> >
> > Important settings:
> >  value of $LANG: en_US.UTF-8
> >  locale-coding-system: utf-8-unix
> >  default enable-multibyte-characters: t
> >
> > Major mode: Lisp Interaction
> >
> > Minor modes in effect:
> >  tooltip-mode: t
> >  mouse-wheel-mode: t
> >  tool-bar-mode: t
> >  menu-bar-mode: t
> >  file-name-shadow-mode: t
> >  global-font-lock-mode: t
> >  font-lock-mode: t
> >  blink-cursor-mode: t
> >  auto-composition-mode: t
> >  auto-encryption-mode: t
> >  auto-compression-mode: t
> >  line-number-mode: t
> >  transient-mark-mode: t
> >
> > Recent input:
> > <menu-bar> <options> <menu-set-font> <menu-bar> <help-menu>
> > <send-emacs-bug-report>
> >
> > Recent messages:
> > For information about GNU Emacs and the GNU system, type C-h C-a.
> >
> > Load-path shadows:
> > None found.
> >
> > Features:
> > (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
> > easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> > mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> > mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
> > lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
> > fringe tabulated-list newcomment lisp-mode register page menu-bar
> > rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
> > facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
> > tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
> > czech european ethiopic indian cyrillic chinese case-table epa-hook
> > jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
> > cus-face macroexp files text-properties overlay sha1 md5 base64 format
> > env code-pages mule custom widget hashtable-print-readable backquote
> > make-network-process ns multi-tty emacs)
> >
> >
>
>